Bug 505863 - Deprecation warnings on F11
Deprecation warnings on F11
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: offlineimap (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Christoph Höger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 08:05 EDT by Amit Shah
Modified: 2009-06-27 10:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-27 10:29:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amit Shah 2009-06-14 08:05:09 EDT
Description of problem:

Getting this when starting offlineimap on F11; they are two separate warnings. Should I open two bugs?

/usr/lib/python2.6/site-packages/offlineimap/folder/Maildir.py:23: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import os.path, os, re, time, socket, md5                                                                                             
OfflineIMAP 6.0.3                                                                                                                       
Copyright (C) 2002 - 2008 John Goerzen <jgoerzen@complete.org>                                                                          
This software comes with ABSOLUTELY NO WARRANTY; see the file                                                                           
COPYING for details.  This is free software, and you are welcome                                                                        
to distribute it under the conditions laid out in COPYING.                                                                              
***** Processing account XXX
Copying folder structure from IMAP to Maildir                                                                                           
Establishing connection to XXX
/usr/lib/python2.6/site-packages/offlineimap/imaplibutil.py:172: DeprecationWarning: socket.ssl() is deprecated.  Use ssl.wrap_socket() instead.                                                                                                                                
  self.sslobj = socket.ssl(self.sock._sock, self.keyfile, self.certfile)
Comment 1 Christoph Höger 2009-06-27 10:29:03 EDT
Thanks for the report.

md5 is already fixed upstream. I have sent a patch for socket.ssl too, I hope John integrates it for the 6.0.4 release. I will build a new package then.

I'll close that bug for now.

Note You need to log in before you can comment on or make changes to this bug.